/*
// File:		MessageDlg.cpp
//
// Version:		mail.it library 1.0
//
// Copyright:	(C) 2007 Dacons LLP.
*/

#include PCH_FILE_NAME
#include "resource.h"
#include "MessageDlg.hpp"


#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CMessageDlg dialog



CMessageDlg::CMessageDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CMessageDlg::IDD, pParent)
	, mFrom(_T(""))
	, mTo(_T(""))
	, mCC(_T(""))
	, mMessage(_T(""))
	, mSubject(_T(""))
{
}

void CMessageDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_EDIT_FROM, mFrom);
	DDX_Text(pDX, IDC_EDIT_TO, mTo);
	DDX_Text(pDX, IDC_EDIT_CC, mCC);
	DDX_Text(pDX, IDC_EDIT_MESSAGE, mMessage);
	DDX_Text(pDX, IDC_EDIT_SUBJECT, mSubject);
	DDX_Control(pDX, IDC_LIST_ATTACHMENTS, mAttachments);
}

BEGIN_MESSAGE_MAP(CMessageDlg, CDialog)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

BOOL CMessageDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	for(int i = 0; i <= mAttachmentList.GetCount() - 1; i++)
	{
		mAttachments.AddString(mAttachmentList[i]);
	}

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CMessageDlg::AddString(CString inNewStr)
{
	mAttachmentList.Add(inNewStr);
}