/*
// File:		SendMessageDlg.hpp
//
// Version:		mail.it library 1.0 sample file
//
// Copyright:	(C) 2007 Dacons LLP.
//
// Bugs:		If you have problems or suggestions, please contact
//				the Online Support at: http://www.dacons.net/support
*/

#pragma once
#include "afxwin.h"


/*!
// @class	CSendMessageDlg
// @brief	Send message dialog class.
*/
class CSendMessageDlg : public CDialog
{
// Construction
public:
	CSendMessageDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_SENDMESSAGE_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

// Implementation
protected:
	virtual BOOL OnInitDialog();
	// Generated message map functions

	DECLARE_MESSAGE_MAP()
public:
	CString mFrom;
	CString mTo;
	CString mMessage;
	CString mSubject;
	afx_msg void OnBnClickedSave();
};
