/*!
// @file		PrintMessage.hpp
//
// @brief		Utility function, which outputs the message in to the stream
//
// @version		Mailit for C/C++ 1.0 sample file
//
// @author		(C) 2007 Dacons LLP.
//
// @bug			If you have problems or suggestions, please contact
//				the Online Support at: http://www.dacons.net/support
*/

#ifndef __PRINTMESSAGE_HPP__
#define __PRINTMESSAGE_HPP__

#include "MessagePartEnumerator.hpp"

/*!
//	@brief	PrintMessage dumps message content in std::out
*/
void
PrintMessage(
		MessagePartEnumerator& inMessageEnum);

#endif /*__PRINTMESSAGE_HPP__*/
