/*!
// @file		EmaiProxy.h
//
// @brief		
//
// @version		Mailit for C/C++ 1.0
//
// @author		(C) 2009-2010 Dacons LLP.
//
// @bug			If you have problems or suggestions, please contact
//				the Online Support at: http://www.mailitcomponents.com/support
*/

#ifndef __EMAIPROXY_H__
#define __EMAIPROXY_H__

#include <EmaiObject.h>

#ifdef __cplusplus
	extern "C" {
#endif

enum EmaiEnumProxySelector
{
	EmaiProxyNo = 0,	/*connectiion without proxy*/
	EmaiProxyHTTP,		/*connectiion throw HTTP proxy*/
	EmaiProxySOCKS4,	/*connectiion throw SOCKS4 proxy*/
	EmaiProxySOCKS5		/*connectiion throw SOCKS5 proxy*/
};

/*!
// @brief
*/
typedef struct
{
	EmaiConstUniCharPtr proxyServer;
	short port;
	EmaiConstUniCharPtr account;
	EmaiConstUniCharPtr password;
	EmaiUint32 proxyType;
} EmaiProxyInfo;

#ifdef __cplusplus
	}
#endif

#endif /*__EMAIPROXY_H__*/
